TAP::Parser::Scheduler(3)

NAME
TAP::Parser::Scheduler - Schedule tests during parallel testing

VERSION
Version 3.17

SYNOPSIS
    use TAP::Parser::Scheduler;

DESCRIPTION

METHODS

  Class Methods
"new"

    my $sched = TAP::Parser::Scheduler->new;

Returns a new "TAP::Parser::Scheduler" object.

"get_all"

Get a list of all remaining tests.

"get_job"

Return the next available job or "undef" if none are available. Returns a "TAP::Parser::Scheduler::Spinner" if the scheduler still has pending jobs but none are available to run right now.

"as_string"

Return a human readable representation of the scheduling tree.